Index: trunk/LMDZ.MARS/libf/aeronomars/jthermcalc.F
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/jthermcalc.F	(revision 1265)
+++ trunk/LMDZ.MARS/libf/aeronomars/jthermcalc.F	(revision 1266)
@@ -1416,7 +1404,7 @@
       real        szadeg                ! I. SZA [rad]
       real        z                     ! I. altitude of interest [km]
-      integer     nz3,ig                   ! I. dimension of esp, ylayesp, etc...
-                                        !  (=2*nlayermx= max# of layers in ray path)
-      real     iz(nlayermx+1)              ! I. Altitude of each layer
+      integer     nz3,ig,nlayer         ! I. dimension of esp, ylayesp, etc...
+                                        !  (=2*nlayer= max# of layers in ray path)
+      real     iz(nlayer+1)              ! I. Altitude of each layer
       real*8        esp(nz3)            ! O. layer widths after geometrically 
                                         !    amplified; in [cm] except at TOA
@@ -1435,5 +1423,5 @@
         real*8      szarad                ! SZA [deg]
         real*8      zz
-        real*8      diz(nlayermx+1)
+        real*8      diz(nlayer+1)
         real*8      rkmnz                 ! distance TOA to center of Planet [km]
         real*8      rkmmini               ! distance zmini to center of P [km] 
@@ -1448,5 +1436,5 @@
         szarad = dble(szadeg)*3.141592d0/180.d0
         zz=dble(z)
-        do i=1,nlayermx
+        do i=1,nlayer
            diz(i)=dble(iz(i))
         enddo
@@ -1466,8 +1454,8 @@
 
            zmini = zz
-           if(abs(zz-diz(nlayermx)).lt.1.d-3) goto 1357
+           if(abs(zz-diz(nlayer)).lt.1.d-3) goto 1357
            ! 1st Zone: Upper part of ray
            !
-           do j=grid_R8(zz,diz,nlayermx),nlayermx-1
+           do j=grid_R8(zz,diz,nlayer),nlayer-1
              nlayesp = nlayesp + 1 
              ilayesp(nlayesp) = j
@@ -1481,5 +1469,5 @@
  1357      continue
            nlayesp = nlayesp + 1 
-           ilayesp(nlayesp) = nlayermx
+           ilayesp(nlayesp) = nlayer
            esp(nlayesp) = 1.d0 / cos(szarad)         ! aux. non-dimens. factor
            szalayesp(nlayesp) = szadeg
@@ -1498,9 +1486,9 @@
            rkmmini = radio + zmini
 
-           if(abs(zz-diz(nlayermx)).lt.1.d-4) goto 1470
+           if(abs(zz-diz(nlayer)).lt.1.d-4) goto 1470
 
            ! 1st Zone: Upper part of ray
            !
-           do j=grid_R8(zz,diz,nlayermx),nlayermx-1
+           do j=grid_R8(zz,diz,nlayer),nlayer-1
               nlayesp = nlayesp + 1 
               ilayesp(nlayesp) = j
@@ -1517,6 +1505,6 @@
            !
            nlayesp = nlayesp + 1 
-           ilayesp(nlayesp) = nlayermx
-           rkmnz = radio+diz(nlayermx)
+           ilayesp(nlayesp) = nlayer
+           rkmnz = radio+diz(nlayer)
            esp(nlayesp)  =  sqrt( rkmnz**2 - rkmmini**2 )       ! aux.factor[km]
            esp(nlayesp)  =  esp(nlayesp) * 1.d5                 ! aux.f. [cm]
@@ -1549,18 +1537,18 @@
 
            else
-              jmin=grid_R8(zmini,diz,nlayermx)+1
+              jmin=grid_R8(zmini,diz,nlayer)+1
               !Correction for possible rounding errors when SZA very close 
               !to 90 degrees
-              if(jmin.gt.grid_R8(zz,diz,nlayermx)) then
+              if(jmin.gt.grid_R8(zz,diz,nlayer)) then
                  write(*,*)'jthermcalc warning: possible rounding error'
                  write(*,*)'point,sza,layer:',ig,szadeg,capa
-                 jmin=grid_R8(zz,diz,nlayermx)
+                 jmin=grid_R8(zz,diz,nlayer)
               endif
 
-              if(abs(zz-diz(nlayermx)).lt.1.d-4) goto 9876
+              if(abs(zz-diz(nlayer)).lt.1.d-4) goto 9876
 
               ! 1st Zone: Upper part of ray
               !
-              do j=grid_R8(zz,diz,nlayermx),nlayermx-1
+              do j=grid_R8(zz,diz,nlayer),nlayer-1
                 nlayesp = nlayesp + 1 
                 ilayesp(nlayesp) = j
@@ -1578,6 +1566,6 @@
               !
               nlayesp = nlayesp + 1 
-              ilayesp(nlayesp) = nlayermx
-              rkmnz = radio+diz(nlayermx)
+              ilayesp(nlayesp) = nlayer
+              rkmnz = radio+diz(nlayer)
               esp(nlayesp) =  sqrt( rkmnz**2 - rkmmini**2 )      !aux.factor[km]
               esp(nlayesp) = esp(nlayesp) * 1.d5                 !aux.f.[cm]
@@ -1601,5 +1589,5 @@
               ! 4th zone: Lower part of ray, increasing from zmin to z
               !    ( layers with SZA < 90 deg )
-              do j=jmin,grid_R8(zz,diz,nlayermx)-1
+              do j=jmin,grid_R8(zz,diz,nlayer)-1
                 nlayesp = nlayesp + 1 
                 ilayesp(nlayesp) = j
@@ -1615,5 +1603,5 @@
               ! 5th zone: Lower part of ray, decreasing from z to zmin
               !    ( layers with SZA > 90 deg )
-              do j=grid_R8(zz,diz,nlayermx)-1, jmin, -1
+              do j=grid_R8(zz,diz,nlayer)-1, jmin, -1
                 nlayesp = nlayesp + 1 
                 ilayesp(nlayesp) = j
@@ -1721,13 +1709,10 @@
 
       use comsaison_h, only: dist_sol
+      use param_v4_h, only: ninter, 
+     .                      fluxtop, ct1, ct2, p1, p2
       implicit none
 
 
 !     common variables and constants
-      include "dimensions.h"
-      include "dimphys.h"
-!      include "comsaison.h"
-      include 'param.h'
-      include 'param_v4.h'
       include "callkeys.h"
 
